Skip to content

Fetch accounts

Accounts
POSThttps://api.dcdial.com/api/type=fetch_accounts
Read onlyToken

Lists the accounts in your company, with either every phone number and email per account or just the primary ones.

This endpoint returns its data without the response wrapper.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always fetch_accounts for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • company_idintegerrequired

    Your DCDial company ID.

    Example 101
  • all_phonesintegeroptional

    1 to return every phone number per account, 0 for the primary only.

    One of01
  • all_emailsintegeroptional

    1 to return every email address per account, 0 for the primary only.

    One of01
Terminal window
curl https://api.dcdial.com/api/ \
-d type=fetch_accounts \
-d token="$DCDIAL_TOKEN" \
-d company_id=101
Response · 200 OK
{
"success": 1,
"company_id": 10111,
"accounts": [
{
"id": "51187",
"accountid": "2026-1111",
"source_id": "",
"title": "Mr",
"first_name": "John",
"middle_initial": null,
"last_name": "Smith",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"state": "AK",
"postal_code": "",
"balance": "0.00",
"gender": "U",
"birthday": "0000-00-00",
"country": "US",
"custom1": "",
"custom2": "",
"custom3": "",
"custom4": "",
"custom5": "",
"custom6": "",
"custom7": "",
"custom8": "",
"custom9": "",
"custom10": "",
"custom11": "",
"custom12": "",
"custom13": "",
"custom14": "",
"custom15": "",
"custom16": "",
"custom17": "",
"custom18": "",
"custom19": "",
"custom20": "",
"clusterid": "10217",
"created_date": "2026-03-31 07:22:31",
"updated_date": "2026-03-31 07:22:31",
"last_contacted_date": "0000-00-00 00:00:00",
"job_title": "",
"sm_facebook": null,
"sm_twitter": null,
"sm_linkedin": null,
"company_name": null,
"company_website": null,
"company_phones": null,
"last_activity_date": "0000-00-00 00:00:00",
"country_code": "",
"lead_owner": "[email protected]",
"email": "[email protected]",
"phone": "5550106123",
"description": "",
"account_status": "new_account",
"timezone": null,
"name": "",
"verification_code": null,
"expiry_time": null,
"password": null,
"contact_source": "web",
"profile_photo": "N",
"time_zone_id": "0",
"is_blocked": "N",
"phones": [
{
"id": 7,
"phone_number": "5550107123",
"phone_type": "HOME"
}
],
"emails": [
{
"id": 15746,
"email_address": "[email protected]"
}
]
}
]
}

Try it

Environment